### Method

# Atk Value get_value_and_text

since: 2.12

#### Declaration [src]

    void
    atk_value_get_value_and_text (
      AtkValue* obj,
      gdouble* value,
      gchar** text
    )

#### Description [src]

Gets the current value and the human readable text alternative of `obj`. `text` is a newly created string, that must be freed by the caller. Can be NULL if no descriptor is available.

Available since: 2.12

#### Parameters

`value`

  Type: `gdouble*`

  Address of #gdouble to put the current value of `obj`.

  The argument will be set by the function.

`text`

  Type: `gchar**`

  Address of #gchar to put the human readable text alternative for `value`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.